*------------------------------------------------------------* ;
* Plot2: DMDBClass Macro ;
*------------------------------------------------------------* ;
%macro DMDBClass;
    hitel(ASC)
%mend DMDBClass;
*------------------------------------------------------------*;
* Plot2: Create DMDB;
*------------------------------------------------------------*;
proc dmdb batch data=EMWS.GrfExpl3_TRAIN dmdbcat=WORK.Plot2_DMDB
maxlevel = 23
nonorm
;
class %DMDBClass;
run;
quit;
*------------------------------------------------------------*;
* Plot2: Creating univariate histograms;
*------------------------------------------------------------*;
goptions ftext="SWISS";
goptions nodisplay device=WMF htext=3 pct;
axis1 width=2 offset=(1,1) label=(height=4 pct rotate=90 angle=270) minor=none;
axis2 width=2 label=(height=4 pct) minor=none;
pattern1 value=solid;
proc gchart
data=EMWS.GrfExpl3_TRAIN gout=WORK.Plot2GRAPH;
*;
title8 height=6 pct "hitel";
vbar hitel /
name = "hitel" description = "hitel"
FREQ
type=FREQ
noframe
missing
discrete
raxis=axis1 maxis=axis2;
run;
quit;
goptions display;
*------------------------------------------------------------*;
* Plot2: Copying graphs to node folder;
*------------------------------------------------------------*;
filename gsasfile "C:\Documents and Settings\Sejk\Dokumentumok\My SAS Files\9.1\EM_Projects\lakashitel\Workspaces\EMWS\Plot2\GRAPH\hitel.gif";
goptions device= GIF display gaccess= gsasfile gsfmode= replace cback= white;
proc greplay igout=WORK.PLOT2GRAPH nofs;
replay HITEL;
quit;
goptions device=win;
filename gsasfile;
