*------------------------------------------------------------* ;
* Plot3: DMDBClass Macro ;
*------------------------------------------------------------* ;
%macro DMDBClass;
    HMOTOKA(ASC) IMP_REP_ESNJ(ASC) REP_HNJE(ASC) hitel(DESC)
%mend DMDBClass;
*------------------------------------------------------------*;
* Plot3: Create DMDB;
*------------------------------------------------------------*;
proc dmdb batch data=EMWS.Impt_TRAIN dmdbcat=WORK.Plot3_DMDB
maxlevel = 23
nonorm
;
class %DMDBClass;
target
hitel
;
run;
quit;
*------------------------------------------------------------*;
* Plot3: Creating variable by class target charts;
*------------------------------------------------------------*;
goptions ftext="SWISS";
goptions nodisplay device=WMF htext=3 pct;
axis1 width=2 offset=(1,1) label=(height=4 pct rotate=90 angle=270) minor=none;
axis2 width=2 label=(height=4 pct) minor=none;
pattern1 value=solid;
proc gchart
data=EMWS.Impt_TRAIN gout=WORK.Plot3GRAPH;
*;
title8 height=6 pct "HMOTOKA by hitel";
vbar HMOTOKA /
name = "HMOTOKA        x hitel          " description = "HMOTOKA by hitel"
FREQ
type=FREQ
subgroup=hitel
noframe
missing
discrete
raxis=axis1 maxis=axis2;
run;
title8 height=6 pct "IMP_REP_ESNJ by hitel";
vbar IMP_REP_ESNJ /
name = "IMP_REP_ESNJ   x hitel          " description = "IMP_REP_ESNJ by hitel"
FREQ
type=FREQ
subgroup=hitel
noframe
missing
raxis=axis1 maxis=axis2;
run;
title8 height=6 pct "REP_HNJE by hitel";
vbar REP_HNJE /
name = "REP_HNJE       x hitel          " description = "REP_HNJE by hitel"
FREQ
type=FREQ
subgroup=hitel
noframe
missing
raxis=axis1 maxis=axis2;
run;
quit;
goptions display;
*------------------------------------------------------------*;
* Plot3: Copying graphs to node folder;
*------------------------------------------------------------*;
filename gsasfile "C:\Documents and Settings\Sejk\Dokumentumok\My SAS Files\9.1\EM_Projects\lakashitel\Workspaces\EMWS\Plot3\GRAPH\HMOTOKA by hitel.gif";
goptions device= GIF display gaccess= gsasfile gsfmode= replace cback= white;
proc greplay igout=WORK.PLOT3GRAPH nofs;
replay HMOTOKA;
quit;
goptions device=win;
filename gsasfile;
filename gsasfile "C:\Documents and Settings\Sejk\Dokumentumok\My SAS Files\9.1\EM_Projects\lakashitel\Workspaces\EMWS\Plot3\GRAPH\IMP_REP_ESNJ by hitel.gif";
goptions device= GIF display gaccess= gsasfile gsfmode= replace cback= white;
proc greplay igout=WORK.PLOT3GRAPH nofs;
replay IMP_REP_;
quit;
goptions device=win;
filename gsasfile;
filename gsasfile "C:\Documents and Settings\Sejk\Dokumentumok\My SAS Files\9.1\EM_Projects\lakashitel\Workspaces\EMWS\Plot3\GRAPH\REP_HNJE by hitel.gif";
goptions device= GIF display gaccess= gsasfile gsfmode= replace cback= white;
proc greplay igout=WORK.PLOT3GRAPH nofs;
replay REP_HNJE;
quit;
goptions device=win;
filename gsasfile;
